> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/upload-files-with-the-geopard-api.md).

# Upload Files with the GeoPard API

{% hint style="success" %}
The recommended approach for files over 6 MB is the [pre-signed URL flow](/geopard-tutorials/api-docs/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

GeoPard API allows uploading zip archives with soil/yield/applied/boundary datasets for further processing and analytics.

{% hint style="danger" %}
Due to an AWS limitation, the maximum file size you can upload through this REST endpoint is 6 MB.
{% endhint %}

Upload steps for files over 6 MB are described in [Upload zip files (over 6 MB)](/geopard-tutorials/api-docs/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Right after the successful upload of the soil/yield/applied dataset, the GeoPard engine links it to the related fields located inside the defined farm.

Right after the successful upload of the boundary, the GeoPard engine initializes its processing.

The response contains a `<uuid>` that you can use to track processing status.

#### Request sample:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

The parameters are:

1. `<type>` - type of the uploaded dataset. It must be a `yield` OR `soil` OR `applied` OR `boundary`.
2. `<farm_uuid>` - the `uuid` of the Farm where the file will be uploaded (Optional).
3. `<token>` - GeoPard access token.
4. `@path/to/file.zip` - the path to the file being uploaded.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/upload-files-with-the-geopard-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
